URLMakers (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.client.commons.utils

## Class URLMakers

- java.lang.Object
- - org.gcube.portlets.user.gisviewer.client.commons.utils.URLMakers

-     public class URLMakers
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `URLMakers()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `decodeUrl(String url)`
    `static String` | `encodeUrl(String url)`
    `static String` | `getGeoserverUrlFromWmsUrl(String wmsUrl)`
    `static String` | `getGeoserverWmsUrl(String geoserverUrl)`
    `static String` | `getURL(ClickDataInfo clickDataInfo, String projection, List<LayerItem> layerItems)`
    `static String` | `getURL(String projection, int width, int height, int x, int y, String bbox, List<LayerItem> layerItems)`
    `static String` | `getURL(String projection, String width, String height, int x, int y, String bbox, Vector<String> layers)`
    `static String` | `getWfsFeatureUrl(LayerItem l, String bbox, int limit, String format)`
    `static void` | `main(String[] args)`
    `static String` | `reverseCoordinate(String BBOX, String split)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### URLMakers

          public URLMakers()

  - ### Method Detail

    - #### getURL

          public static String getURL(String projection,
                      String width,
                      String height,
                      int x,
                      int y,
                      String bbox,
                      Vector<String> layers)

    - #### getURL

          public static String getURL(String projection,
                      int width,
                      int height,
                      int x,
                      int y,
                      String bbox,
                      List<LayerItem> layerItems)

    - #### getGeoserverWmsUrl

          public static String getGeoserverWmsUrl(String geoserverUrl)

    - #### getURL

          public static String getURL(ClickDataInfo clickDataInfo,
                      String projection,
                      List<LayerItem> layerItems)

    - #### getWfsFeatureUrl

          public static String getWfsFeatureUrl(LayerItem l,
                                String bbox,
                                int limit,
                                String format)

      Parameters:
        `geoserverUrl` -
        `bbox` -
      Returns:

    - #### reverseCoordinate

          public static String reverseCoordinate(String BBOX,
                                 String split)

      Parameters:
        `BBOX` -
        `split` - eg. ,
      Returns:
        a BBOX with reverse x and y coordinate

    - #### encodeUrl

          public static String encodeUrl(String url)

    - #### decodeUrl

          public static String decodeUrl(String url)

    - #### getGeoserverUrlFromWmsUrl

          public static String getGeoserverUrlFromWmsUrl(String wmsUrl)

    - #### main

          public static void main(String[] args)

Copyright © 2014. All Rights Reserved.